org.icefaces.ace.component.confirmationdialog

## Enum ConfirmationDialogBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ConfirmationDialogBase.PropertyKeys>
  - - org.icefaces.ace.component.confirmationdialog.ConfirmationDialogBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConfirmationDialogBase.PropertyKeys>
  Enclosing class:
    ConfirmationDialogBase

      protected static enum ConfirmationDialogBase.PropertyKeys
      extends java.lang.Enum<ConfirmationDialogBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closable`
    `closeOnEscape`
    `draggable`
    `header`
    `height`
    `hideEffect`
    `message`
    `modal`
    `position`
    `severity`
    `showEffect`
    `styleClass`
    `widgetVar`
    `width`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ConfirmationDialogBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConfirmationDialogBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### closable

          public static final ConfirmationDialogBase.PropertyKeys closable

    - #### closeOnEscape

          public static final ConfirmationDialogBase.PropertyKeys closeOnEscape

    - #### draggable

          public static final ConfirmationDialogBase.PropertyKeys draggable

    - #### header

          public static final ConfirmationDialogBase.PropertyKeys header

    - #### height

          public static final ConfirmationDialogBase.PropertyKeys height

    - #### hideEffect

          public static final ConfirmationDialogBase.PropertyKeys hideEffect

    - #### message

          public static final ConfirmationDialogBase.PropertyKeys message

    - #### modal

          public static final ConfirmationDialogBase.PropertyKeys modal

    - #### position

          public static final ConfirmationDialogBase.PropertyKeys position

    - #### severity

          public static final ConfirmationDialogBase.PropertyKeys severity

    - #### showEffect

          public static final ConfirmationDialogBase.PropertyKeys showEffect

    - #### styleClass

          public static final ConfirmationDialogBase.PropertyKeys styleClass

    - #### widgetVar

          public static final ConfirmationDialogBase.PropertyKeys widgetVar

    - #### width

          public static final ConfirmationDialogBase.PropertyKeys width

    - #### zindex

          public static final ConfirmationDialogBase.PropertyKeys zindex

  - ### Method Detail

    - #### values

          public static ConfirmationDialogBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfirmationDialogBase.PropertyKeys c : ConfirmationDialogBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfirmationDialogBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConfirmationDialogBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.